org.apache.mina.integration.xbean

## Class MinaPropertyEditorRegistrar

- java.lang.Object
- - org.apache.mina.integration.xbean.MinaPropertyEditorRegistrar

- All Implemented Interfaces:
    org.springframework.beans.PropertyEditorRegistrar

      public class MinaPropertyEditorRegistrar
      extends Object
      implements org.springframework.beans.PropertyEditorRegistrar

  A custom Spring `PropertyEditorRegistrar` implementation which registers by default all the `PropertyEditor` implementations in the MINA Integration Beans module.
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MinaPropertyEditorRegistrar()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `registerCustomEditors(org.springframework.beans.PropertyEditorRegistry registry)` Registers custom `PropertyEditor`s in the MINA Integration Beans module.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MinaPropertyEditorRegistrar

          public MinaPropertyEditorRegistrar()

  - ### Method Detail

    - #### registerCustomEditors

          public void registerCustomEditors(org.springframework.beans.PropertyEditorRegistry registry)

      Registers custom `PropertyEditor`s in the MINA Integration Beans module. Note: I did not know just how useful the rest of the property editors were or if they were redundant and replicated existing functionality of default editors packaged into Spring. So presently we're only registering editors for the following classes which are not found in Spring:
      - java.net.InetAddress
      - java.net.InetSocketAddress
      - org.apache.mina.core.session.TrafficMask
      - org.apache.mina.integration.beans.VmPipeAddressEditor
      Specified by:
        `registerCustomEditors` in interface `org.springframework.beans.PropertyEditorRegistrar`
      See Also:
        `registerCustomEditors(org.springframework.beans.PropertyEditorRegistry)`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.